Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.engines
Class AEADBaseEngine.DataOperatorType

    java.lang.Object
      org.bouncycastle.crypto.engines.AEADBaseEngine.DataOperatorType

Enclosing class:
  org.bouncycastle.crypto.engines.AEADBaseEngine

protected static class AEADBaseEngine.DataOperatorType
extends java.lang.Object

Field Summary
`static AEADBaseEngine.DataOperatorType` | `Counter`
`static int` | `COUNTER`
`static int` | `DATA_LIMIT`
`static AEADBaseEngine.DataOperatorType` | `DataLimit`
`static AEADBaseEngine.DataOperatorType` | `Default`
`static int` | `DEFAULT`
`static AEADBaseEngine.DataOperatorType` | `Stream`
`static int` | `STREAM`
`static int` | `STREAM_CIPHER`
`static AEADBaseEngine.DataOperatorType` | `StreamCipher`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### COUNTER

    public static final int COUNTER

See Also:
  Constant Field Values

### STREAM

    public static final int STREAM

See Also:
  Constant Field Values

### STREAM_CIPHER

    public static final int STREAM_CIPHER

See Also:
  Constant Field Values

### DATA_LIMIT

    public static final int DATA_LIMIT

See Also:
  Constant Field Values

### Default

    public static final AEADBaseEngine.DataOperatorType Default

### Counter

    public static final AEADBaseEngine.DataOperatorType Counter

### Stream

    public static final AEADBaseEngine.DataOperatorType Stream

### StreamCipher

    public static final AEADBaseEngine.DataOperatorType StreamCipher

### DataLimit

    public static final AEADBaseEngine.DataOperatorType DataLimit

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD